suggest_requirements
curl --request POST \
--url https://rest.hotfix.jobs/v1/employer/jobs/requirements/suggest \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>'})
};
fetch('https://rest.hotfix.jobs/v1/employer/jobs/requirements/suggest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/jobs/requirements/suggest"
payload = { "title": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"drafted": [
"Has shipped Go code in production",
"Has worked with PostgreSQL at scale",
"Has 5+ years building backend systems"
],
"used": [
"Has been on an on-call rotation"
]
}Jobs
suggest_requirements
Requirements to start from: up to 3 drafted from the job’s title and description, and those your company used on its other jobs, newest first. Nothing is saved; pick and edit them before sending requirements on create_job or update_job. drafted is empty when the description is, or when no draft is available. Limited to 20 a minute per company.
POST
/
v1
/
employer
/
jobs
/
requirements
/
suggest
suggest_requirements
curl --request POST \
--url https://rest.hotfix.jobs/v1/employer/jobs/requirements/suggest \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>'})
};
fetch('https://rest.hotfix.jobs/v1/employer/jobs/requirements/suggest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/jobs/requirements/suggest"
payload = { "title": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"drafted": [
"Has shipped Go code in production",
"Has worked with PostgreSQL at scale",
"Has 5+ years building backend systems"
],
"used": [
"Has been on an on-call rotation"
]
}Authorizations
ApiKeyBearerAuth
Company API key minted at Settings → API. Prefix hf_. Accepted on hiring data routes. Not accepted on MCP.
Body
application/json
Response
200 - application/json
Success
The response is of type object.